All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::result_of::cpu_value_type< T > Struct Template Reference

Helper meta function for retrieving the main RAM-based value type. Particularly important to obtain T from viennacl::scalar<T> in a generic way. More...

`#include <result_of.hpp>`

## Public Types

typedef T::ERROR_CANNOT_DEDUCE_CPU_SCALAR_TYPE_FOR_T | type

## Detailed Description

### template<typename T>
struct viennacl::result_of::cpu_value_type< T >

Helper meta function for retrieving the main RAM-based value type. Particularly important to obtain T from viennacl::scalar<T> in a generic way.

Definition at line 269 of file result_of.hpp.

## Member Typedef Documentation

template<typename T>

typedef T::ERROR_CANNOT_DEDUCE_CPU_SCALAR_TYPE_FOR_T viennacl::result_of::cpu_value_type< T >::type

Definition at line 271 of file result_of.hpp.

The documentation for this struct was generated from the following file:

- viennacl/meta/result_of.hpp